<?php
/*------------------------------------------------------------------------
# JoomSport Professional 
# ------------------------------------------------------------------------
# BearDev development company 
# Copyright (C) 2011 JoomSport.com. All Rights Reserved.
# @license - http://joomsport.com/news/license.html GNU/GPL
# Websites: http://www.JoomSport.com 
# Technical Support:  Forum - http://joomsport.com/helpdesk/
-------------------------------------------------------------------------*/
// No direct access.
defined('_JEXEC') or die;

require(dirname(__FILE__).'/../models.php');

class payments_listJSModel extends JSPRO_Models
{
	
	var $_data = null;
	var $_lists = null;
	var $_total = null;

	var $_pagination = null;
	var $limit = null;
	var $limitstart = null;

	function __construct()
	{
		parent::__construct();

		$mainframe = JFactory::getApplication();
        $opt = JRequest::getVar('opt',0,'get','int');

		// Get the pagination request variables
		$this->limit		= $mainframe->getUserStateFromRequest( 'global.list.limit', 'limit', $mainframe->getCfg('list_limit'), 'int' );
		$this->limitstart	= $mainframe->getUserStateFromRequest( 'com_joomsport.limitstart_payments', 'limitstart', 0, 'int' );

		// In case limit has been changed, adjust limitstart accordingly
		$this->limitstart = ($this->limit != 0 ? (floor($this->limitstart / $this->limit) * $this->limit) : 0);
		$this->getPagination();
		
		$this->getData();

        //$alltmp =
        $this->_lists['paypal_acc'] = $this->getJS_Config('paypal_acc');

        $alltmp = array( 'USD' => 'USD', 'CAD' => 'CAD',  'GBP' => 'GBP', 'AUD' => 'AUD', 'JPY' => 'JPY', 'EUR' => 'EUR', 'CHF' => 'CHF', 'CZK' => 'CZK', 'DKK' => 'DKK', 'HKD' => 'HKD', 'HUF' => 'HUF', 'NOK' => 'NOK', 'NZD' => 'NZD', 'PLN' => 'PLN', 'SEK' => 'SEK', 'SGD' => 'SGD' );

        $this->_lists['paypal_on'] = $this->getJS_Config('paypal_on');
        $paypalcur_val = $this->getJS_Config('paypalcur_val');

        $this->_lists['paypalcur_val'] = JHTML::_('select.genericlist',   $alltmp, 'paypalcur_val', 'class="chzn-done" size="1" style="width:160px;"', 'id', 'name', $paypalcur_val );

        $this->_lists['paypalval_val'] = $this->getJS_Config('paypalval_val');
        $this->_lists['paypalvalleast_val'] = $this->getJS_Config('paypalvalleast_val');
        $this->_lists['paypal_org'] = $this->getJS_Config('paypal_org');

            //

        /*
         * SELECT t.t_name, p.p_txn_id, p.p_mc_gross, p.p_date, p.p_user_id, p.p_status, u.name
            FROM rrj1d_bl_payments AS p
            LEFT OUTER JOIN rrj1d_bl_teams AS t ON t.id = p.p_rteam_id
            LEFT JOIN rrj1d_users AS u ON u.id = p.p_user_id
         * */

	}

	function getData()
	{
		if (empty($this->_data))
		{
			$query = $this->_buildQuery();
			$this->_data = $this->_getList($query, $this->limitstart, $this->limit);
			$error = $this->db->getErrorMsg();
			if ($error)
			{
				return JError::raiseError(500, $error);
			}
		}
		
		return $this->_data;
	}

	function getTotal()
	{
		if (empty($this->_total))
		{
			$query = $this->_buildQuery();
			$this->_total = $this->_getListCount($query);
		}

		return $this->_total;
	}
	function _getListCount($query){
		$this->db->setQuery($query);
		$tot = $this->db->loadObjectList();
		return count($tot);
	}
	
	function _getList($query,$limitstart,$limit){
		$this->db->setQuery($query,$limitstart,$limit);
		$tot = $this->db->loadObjectList();
		return $tot;
	}
	
	function getPagination()
	{
		if (empty($this->_pagination))
		{
			jimport('joomla.html.pagination');
			$this->_pagination = new JPagination( $this->getTotal(), $this->limitstart, $this->limit );
		}

		return $this->_pagination;
	}

	function _buildQuery()
	{
		
		$orderby	= $this->_buildContentOrderBy();

	    $query = "SELECT t.t_name, p.p_txn_id, p.p_mc_gross, p.p_date, p.p_user_id, p.p_status, u.name, s.s_name
                    FROM #__bl_payments AS p
                    LEFT OUTER JOIN #__bl_teams AS t ON t.id = p.p_rteam_id
                    LEFT JOIN #__users AS u ON u.id = p.p_user_id LEFT JOIN #__bl_seasons AS s ON s.s_id = p.p_sid";

		$query .= $orderby;

		return $query;
	}

	function _buildContentOrderBy()
	{
		
		$mainframe = JFactory::getApplication();

		$this->_lists["sortfield"]	= $mainframe->getUserStateFromRequest( 'com_joomsport.payments_list_field', 'sortfield', 'p.p_date', 'string' );
		$this->_lists["sortway"]	= $mainframe->getUserStateFromRequest( 'com_joomsport.payments_list_way', 'sortway', 'DESC', 'string' );
		
		$orderby 	= ' ORDER BY '.$this->_lists["sortfield"].' '.$this->_lists["sortway"];

		

		return $orderby;
	}
	

    public function savePayments(){
        $paypal_acc = JRequest::getVar( 'paypal_acc', '', 'post', 'string' );
        $paypalcur_val = JRequest::getVar( 'paypalcur_val', '', 'post', 'string' );
        $paypalval_val = JRequest::getVar( 'paypalval_val', '', 'post', 'float' );
        //$paypal_on = JRequest::getVar( 'paypal_on', '', 'post', 'int' );
        $paypalvalleast_val = JRequest::getVar( 'paypalvalleast_val', '', 'post', 'float' );
        $paypal_org = JRequest::getVar( 'paypal_org', '', 'post', 'string' );

        //$query = "UPDATE #__bl_config SET cfg_value='".$paypal_on."' WHERE cfg_name='paypal_on'";
        //$this->db->setquery($query);
        //$this->db->query();

        $query = "UPDATE #__bl_config SET cfg_value='".$paypal_acc."' WHERE cfg_name='paypal_acc'";
        $this->db->setquery($query);
        $this->db->query();

        $query = "UPDATE #__bl_config SET cfg_value='".$paypalcur_val."' WHERE cfg_name='paypalcur_val'";
        $this->db->setquery($query);
        $this->db->query();

        $query = "UPDATE #__bl_config SET cfg_value='".$paypalval_val."' WHERE cfg_name='paypalval_val'";
        $this->db->setquery($query);
        $this->db->query();

        $query = "UPDATE #__bl_config SET cfg_value='".$paypalvalleast_val."' WHERE cfg_name='paypalvalleast_val'";
        $this->db->setquery($query);
        $this->db->query();

        $query = "UPDATE #__bl_config SET cfg_value='".$paypal_org."' WHERE cfg_name='paypal_org'";
        $this->db->setquery($query);
        $this->db->query();


    }



	
}